psd\_tools\.api\.layers
=======================

.. automodule:: psd_tools.api.layers

Artboard
--------

.. autoclass:: psd_tools.api.layers.Artboard
    :members:
    :inherited-members:

Group
-----

.. autoclass:: psd_tools.api.layers.Group
    :members:
    :inherited-members:

PixelLayer
----------

.. autoclass:: psd_tools.api.layers.PixelLayer
    :members:
    :inherited-members:

ShapeLayer
----------

.. autoclass:: psd_tools.api.layers.ShapeLayer
    :members:
    :inherited-members:

SmartObjectLayer
----------------

.. autoclass:: psd_tools.api.layers.SmartObjectLayer
    :members:
    :inherited-members:

TypeLayer
---------

.. autoclass:: psd_tools.api.layers.TypeLayer
    :members:
    :inherited-members:
